﻿
mode con: cols=50 lines=13 & echo off

:::  ______     __   
::: /      \  _/  |  
:::/$$$$$$  |/ $$ |  
:::$$ |__$$ |$$$$ |  
:::$$    $$ |  $$ |  
:::$$$$$$$$ |  $$ |  
:::$$ |  $$ | _$$ |_ 
:::$$ |  $$ |/ $$   |
:::$$/   $$/ $$$$$$/
:::

for /f "delims=: tokens=*" %%A in ('findstr /b ::: "%~f0"') do color 74 & @echo(%%A  
FOR /F "usebackq" %%f IN (`PowerShell -NoProfile -Command "Write-Host([Environment]::GetFolderPath('Desktop'))"`) DO (SET "DESKTOP_FOLDER=%%f")
SET /P DEST="Vvedite IP-adres ili imia resursa: "
IF [%DEST%]==[] echo Value Missing & pause & exit
PowerShell -NoProfile -Command "date >%DESKTOP_FOLDER%\diag.txt 2>&1"
color 03
cls & echo Test-NetConn %DEST% port 80...
PowerShell -NoProfile -Command "Test-NetConnection -ComputerName %DEST% -InformationLevel "Detailed" -Port 80 -ErrorAction Stop >>%DESKTOP_FOLDER%\diag.txt 2>&1"
cls & echo Test-NetConn %DEST% port 443...
PowerShell -NoProfile -Command "Test-NetConnection -ComputerName %DEST% -InformationLevel "Detailed" -Port 443 -ErrorAction Stop >>%DESKTOP_FOLDER%\diag.txt 2>&1"
cls & echo 1. Ping: %DEST% 50 times...
PowerShell -NoProfile -Command "ping %DEST% -n 50 >>%DESKTOP_FOLDER%\diag.txt 2>&1"
cls & echo 2. Pathping: %DEST%...
PowerShell -NoProfile -Command "pathping %DEST% >>%DESKTOP_FOLDER%\diag.txt 2>&1"
cls & echo 3. Ping: Google DNS...
PowerShell -NoProfile -Command "ping 8.8.8.8 -n 10 >>%DESKTOP_FOLDER%\diag.txt 2>&1"
cls & echo 4. Pathping: Google DNS...
PowerShell -NoProfile -Command "pathping 8.8.8.8 >>%DESKTOP_FOLDER%\diag.txt 2>&1"
cls & echo 5. Taking network configuration...
PowerShell -NoProfile -Command "ipconfig /all >>%DESKTOP_FOLDER%\diag.txt 2>&1"
cls & echo 5. Might take awhile...
PowerShell -NoProfile -Command "ipconfig /flushdns 2>&1"
cls & echo 7. Aaanddd...
PowerShell -NoProfile -Command "nslookup 8.8.8.8 >>%DESKTOP_FOLDER%\diag.txt 2>&1"
cls & echo 7. ...
PowerShell -NoProfile -Command "netstat -ab >>%DESKTOP_FOLDER%\diag.txt 2>&1"
cls & echo 7. ...we done!
pause & exit

